Wallets
Withdraw USDC
Withdraw USDC on-chain to an external address
POST
/
wallets
/
withdraw
Withdraw USDC
curl --request POST \
--url https://api.example.com/wallets/withdraw \
--header 'Content-Type: application/json' \
--data '
{
"toAddress": "<string>",
"amount": 123,
"currency": "<string>"
}
'import requests
url = "https://api.example.com/wallets/withdraw"
payload = {
"toAddress": "<string>",
"amount": 123,
"currency": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({toAddress: '<string>', amount: 123, currency: '<string>'})
};
fetch('https://api.example.com/wallets/withdraw', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Request
string
required
Destination wallet address (0x, 40 hex characters).
number
required
Amount of USDC to withdraw. Must be positive.
string
required
Must be
"USDC".curl -X POST https://api.midasprotocol.org/wallets/withdraw \
-H "Authorization: Bearer pp_your_key" \
-H "Content-Type: application/json" \
-d '{
"toAddress": "0x742d35Cc6634C0532925a3b844Bc9e7595f2bD68",
"amount": 50,
"currency": "USDC"
}'
Response
{
"status": "sent",
"txHash": "0xabc123...",
"amount": 50,
"currency": "USDC",
"network": "base",
"toAddress": "0x742d...",
"explorer": "https://basescan.org/tx/0xabc123..."
}
⌘I
Withdraw USDC
